How to downgrade to 2.1.3? 2.2.0 is far too buggy.

Help for Audacity 2.x.x on GNU/Linux.
Forum rules
ImageThis forum is for Audacity 2.x.x on GNU/Linux.
Please state:
  • which version of Linux you are using,
  • the exact three-section version number of Audacity from Help menu > About Audacity,
  • whether you installed your distribution's release, PPA version, or compiled Audacity from source code.

Audacity 1.2.x and 1.3.x are obsolete and no longer supported. If you still have those versions, please upgrade (see https://www.audacityteam.org/download/).
The old forums for those versions are now closed, but you can still read the archives of the 1.2.x and 1.3.x forums.
Post Reply
sagetyrtle
Posts: 31
Joined: Sat Aug 16, 2008 5:21 pm
Operating System: Please select

How to downgrade to 2.1.3? 2.2.0 is far too buggy.

Post by sagetyrtle » Tue Nov 07, 2017 3:44 pm

I'm using Ubuntu 17.04. Audacity was automatically upgraded to 2.2.0 and is unusable on my system.

How do I downgrade to 2.1.3?

Thanks so much for any help and suggestions.

steve
Site Admin
Posts: 47319
Joined: Sat Dec 01, 2007 11:43 am
Operating System: Linux *buntu
Contact:

Re: How to downgrade to 2.1.3? 2.2.0 is far too buggy.

Post by steve » Tue Nov 07, 2017 4:11 pm

The version of Audacity in Ubuntu 17.04 is Audacity 2.1.2-2.

Where does your version of Audacity come from?
What are the bugs that are causing problems for you?
9/10 questions are answered in the FREQUENTLY ASKED QUESTIONS (FAQ)

sagetyrtle
Posts: 31
Joined: Sat Aug 16, 2008 5:21 pm
Operating System: Please select

Re: How to downgrade to 2.1.3? 2.2.0 is far too buggy.

Post by sagetyrtle » Tue Nov 07, 2017 4:44 pm

Hi Steve,

Thanks for your help.

I've been using 2.1.3 on my system with no problems. As I recall, I got it from the PPA because the align keyboard shortcut does not work with 2.1.2.

None of my keyboard shortcuts are reliably working, and I can no longer export to a selection using a keyboard shortcut without deselecting and reselecting again.

steve
Site Admin
Posts: 47319
Joined: Sat Dec 01, 2007 11:43 am
Operating System: Linux *buntu
Contact:

Re: How to downgrade to 2.1.3? 2.2.0 is far too buggy.

Post by steve » Tue Nov 07, 2017 4:55 pm

You will need to uninstall Audacity, then remove or disable the PPA from your SourcesList.
Then visit the PPA, download the deb package for 2.1.3 and install it.
sagetyrtle wrote: None of my keyboard shortcuts are reliably working
Are you aware that Audacity 2.2.0 has a reduced set of predefined shortcuts by default? (The full list of shortcuts is also available)
http://manual.audacityteam.org/man/keyb ... rence.html
sagetyrtle wrote: I can no longer export to a selection using a keyboard shortcut without deselecting and reselecting again.
Before you get rid of 2.2.0, could you give steps to reproduce that. If it's a reproducible bug it can be fixed.
9/10 questions are answered in the FREQUENTLY ASKED QUESTIONS (FAQ)

sagetyrtle
Posts: 31
Joined: Sat Aug 16, 2008 5:21 pm
Operating System: Please select

Re: How to downgrade to 2.1.3? 2.2.0 is far too buggy.

Post by sagetyrtle » Tue Nov 07, 2017 5:14 pm

Hi Steve,

Fantastic, I was able to do exactly that and I'm back in happyland with 2.1.3. Though my keyboard shortcuts were labeled correctly in 2.2.0, they still only worked half the time. Unfortunately I can't give steps as I've already uninstalled 2.2.0. Really appreciate your fast response.

Post Reply